Installation

! You need an registered Synced-Account; otherwise you can’t login with the Launcher. If you haven’t registered already click here.
! You need Java 1.7+ to be able to use the Launcher and the game. You can download Java for free here.

1. Download the latest build of the Launcher.

2. Run the Launcher and login with your account.

3. The Launcher checks for new updates, installs them and then starts the game. Just lean back.

4. If the launcher freezes or don’t works as you want, restart it and select “force update”. That will delete you current version and downloads the new one from the server even the version from the server is older / the same.

 

If you have any problems with the installation please contact me using the imprint.